## prometheus-smokeping-prober 0.6.1

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

DOCKER_ARCHS      ?= amd64 armv7 arm64
DOCKER_REPO       ?= quay.io/superq
DOCKER_IMAGE_NAME ?= smokeping-prober

include Makefile.common

## prometheus-smokeping-prober 0.4.1

=== debian/changelog ===
prometheus-smokeping-prober (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * No change upload to rebuild on buildd.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 07 Feb 2021 16:17:53 +0100

prometheus-smokeping-prober (0.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #981741).

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 03 Feb 2021 14:49:37 +0100

=== debian/control ===
Source: prometheus-smokeping-prober
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-ping-ping-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/SuperQ/smokeping_prober
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober.git
XS-Go-Import-Path: github.com/SuperQ/smokeping_prober

Package: prometheus-smokeping-prober
Architecture: any
Depends: adduser,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus style "smokeping" prober
 This prober sends a series of ICMP (or UDP) pings to a target and records
 the responses in Prometheus histogram metrics. The resulting metrics are
 useful for detecting changes in network latency (or round trip time), as
 well as packet loss over a network path.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

BINNAME := $(DEB_SOURCE)
WHATIS  := "$(BINNAME) \\- Smokeping prober for Prometheus"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/smokeping_prober $(BUILDDIR)/bin/$(BINNAME)
	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

## prometheus-smokeping-prober 0.5.0

=== debian/changelog ===
prometheus-smokeping-prober (0.5.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:09:51 +0000

prometheus-smokeping-prober (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Drop obsolete 01-go-kit-log.patch
  * Add new 01-debian-defaults.patch
  * Convert XS-Go-Import-Path to lower case to match that of go.mod, and avoid
    case-insensitive import error
  * Update flags in debian/default
  * Install default config file in /etc/prometheus

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 19 Dec 2021 15:08:39 +0000

prometheus-smokeping-prober (0.4.2-3) unstable; urgency=medium

  * Rebuild against newer go-ping/ping module (Closes: #998231)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 17 Dec 2021 13:39:31 +0000

prometheus-smokeping-prober (0.4.2-2) unstable; urgency=medium

  * Enable CAP_NET_RAW for prometheus-smokeping-prober binary by default when
    installing (Closes: #990715)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 17:41:59 +0000

prometheus-smokeping-prober (0.4.2-1) unstable; urgency=medium

  [ Adriano Rafael Gomes ]
  * Initial Brazilian Portuguese debconf translation (Closes: #987433)

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml

  [ Américo Monteiro ]
  * Initial Portuguese debconf translation (Closes: #982811)

  [ Camaleón ]
  * Initial Spanish debconf translation (Closes: #988381)

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add new patch 01-go-kit-log.patch to build with newer version of
    prometheus/common
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update copyright legal entity name

  [ Frans Spiesschaert ]
  * Initial Dutch debconf translation (Closes: #983413)

  [ Helge Kreutzmann ]
  * Initial German debconf translation (Closes: #982629)

  [ Jean-Pierre Giraud ]
  * Initial French debconf translation (Closes: #983856)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 04 Dec 2021 19:18:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
-               golang-github-go-ping-ping-dev,
+               golang-github-go-kit-log-dev,
+               golang-github-go-ping-ping-dev (>= 0.0~git20211130.779d1e9),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/SuperQ/smokeping_prober
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober.git
-XS-Go-Import-Path: github.com/SuperQ/smokeping_prober
+XS-Go-Import-Path: github.com/superq/smokeping_prober
 
 Package: prometheus-smokeping-prober
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 WHATIS  := "$(BINNAME) \\- Smokeping prober for Prometheus"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus-smokeping-prober 0.6.1

=== debian/changelog ===
prometheus-smokeping-prober (0.6.1-3) unstable; urgency=medium

  * Add new 02-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 03:00:15 +0000

prometheus-smokeping-prober (0.6.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:15:13 +0100

prometheus-smokeping-prober (0.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Jun 2022 11:04:59 +0000

prometheus-smokeping-prober (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Add new build-dep golang-github-prometheus-exporter-toolkit-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 25 May 2022 09:51:29 +0000

prometheus-smokeping-prober (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update flag defaults in debian/default
  * Add missing build-deps
    - golang-golang-x-sync-dev
    - golang-gopkg-yaml.v2-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 14 May 2022 15:21:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -12,8 +11,11 @@
                golang-github-go-ping-ping-dev (>= 0.0~git20211130.779d1e9),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-golang-x-sync-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.0
+               golang-gopkg-yaml.v2-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/SuperQ/smokeping_prober
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober

## prometheus-smokeping-prober 0.7.1

=== debian/changelog ===
prometheus-smokeping-prober (0.7.1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 12:06:10 +1000

prometheus-smokeping-prober (0.7.1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:43:43 +1000

prometheus-smokeping-prober (0.7.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:23:15 +0530

prometheus-smokeping-prober (0.7.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:51 +1200

prometheus-smokeping-prober (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete build-dep golang-github-go-ping-ping-dev
  * Add new build-dep golang-github-prometheus-community-pro-bing-dev
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop obsolete 02-support-newer-exporter-toolkit.patch
  * Convert patches to gbp-pq format
  * Add new Revert-alecthomas-kingpin-import-path.patch
  * Bump version constraint for golang-github-prometheus-exporter-toolkit-dev
    to >= 0.10.0.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Jul 2023 21:57:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-go-kit-log-dev,
-               golang-github-go-ping-ping-dev (>= 0.0~git20211130.779d1e9),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-community-pro-bing-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
                golang-golang-x-sync-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/SuperQ/smokeping_prober
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober

## prometheus-smokeping-prober 0.8.1

=== debian/changelog ===
prometheus-smokeping-prober (0.8.1-3ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 14:06:40 +1000

prometheus-smokeping-prober (0.8.1-3) unstable; urgency=medium

  * debian/dirs: re-add mistakenly removed var/lib/prometheus

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 07 May 2024 19:00:04 +0000

prometheus-smokeping-prober (0.8.1-2) unstable; urgency=medium

  * Add init.d script (Closes: #1037005)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 07 May 2024 17:46:55 +0000

prometheus-smokeping-prober (0.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 05 Apr 2024 12:40:28 +0000

prometheus-smokeping-prober (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Drop superfluous override_dh_installinit
    - Re-work manpage generation, with correct header & footer

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Mar 2024 10:25:56 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 Package: prometheus-smokeping-prober
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          debconf,
          libcap2-bin,

## prometheus-smokeping-prober 0.9.0

=== debian/changelog ===
prometheus-smokeping-prober (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)
  * Refresh patches
  * Drop obsolete B-D golang-github-go-kit-log-dev
  * Add new B-D golang-uber-automaxprocs-dev
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)
  * Bump golang-github-prometheus-community-pro-bing-dev version constraint
    (>= 0.6.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Jan 2025 12:41:12 +0000

prometheus-smokeping-prober (0.8.1-4) unstable; urgency=medium

  * i18n: add Swedish debconf translation (Closes: #1080164)
    Thanks to Martin Bagge for providing this translation

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 30 Nov 2024 08:59:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-community-pro-bing-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-prometheus-community-pro-bing-dev (>= 0.6.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-golang-x-sync-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.2
+               golang-uber-automaxprocs-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/SuperQ/smokeping_prober
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober

## prometheus-smokeping-prober 0.10.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # limitations under the License.
 
 DOCKER_ARCHS      ?= amd64 armv7 arm64
-DOCKER_REPO       ?= quay.io/superq
+DOCKER_REPO       ?= superque
 DOCKER_IMAGE_NAME ?= smokeping-prober
 
 include Makefile.common

=== debian/changelog ===
prometheus-smokeping-prober (0.10.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

  [ Martina Ferrari ]
  * i18n: add Catalan debconf translation. Thanks to Carles Pina i Estany
    for providing this translation.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 13 Aug 2025 11:03:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: prometheus-smokeping-prober
-Section: net
-Testsuite: autopkgtest-pkg-go
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -15,14 +15,15 @@
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
                golang-uber-automaxprocs-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
-Homepage: https://github.com/SuperQ/smokeping_prober
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-smokeping-prober.git
+Homepage: https://github.com/SuperQ/smokeping_prober
 XS-Go-Import-Path: github.com/superq/smokeping_prober
 
 Package: prometheus-smokeping-prober
+Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
@@ -30,7 +31,7 @@
          libcap2-bin,
          ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Prometheus style "smokeping" prober
  This prober sends a series of ICMP (or UDP) pings to a target and records
  the responses in Prometheus histogram metrics. The resulting metrics are

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/smokeping_prober _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Smokeping prober for Prometheus
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/SuperQ/smokeping_prober/tags .*/v?(\d\S*)\.tar\.gz debian
